mscorlib 4.0.0.0 System.ValueType System.IDisposable System.IEquatable<System.Threading.CancellationTokenRegistration>

The callback is called when the token is canceled. To unregister a callback, dispose the corresponding Registration instance. For more information and code examples see Cancellation.

Represents a callback delegate that has been registered with a .

- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the current instance is equal to the specified .

  True, if both this and are equal. False, otherwise.

  Two instances are equal if they both refer to the output of a single call to the same Register method of a .

  The other object to which to compare this instance.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the current instance is equal to the specified .

  True, if both this and are equal. False, otherwise.

  Two instances are equal if they both refer to the output of a single call to the same Register method of a .

  The other to which to compare this instance.
- Method
  4.0.0.0
  System.Int32 To be added.

  Serves as a hash function for a .

  A hash code for the current instance.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two instances are equal.

  True if the instances are equal; otherwise, false.

  The first instance. The second instance.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two instances are not equal.

  True if the instances are not equal; otherwise, false.

  The first instance. The second instance.